@charset "utf-8";

/*

Designed and Developed By Keith Clark
    5344 Stephens Rd.
    Oakwood, GA 30566

    770-561-3650

    keithclark163@gmail.com

    File Name: styles.css

*/

/* Body Styles */

body {
    width: 100%;
    font-family: Helvetica, sans-serif;
    background-color: #1e1e1e;
}

/* Header & Navigation Styles */

header {
    width: 100%;
    height: 100vh;
    background-image: url(blackblocklogo.png);
    background-position: center center;
    background-size: cover;
}

header nav#navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 95%;
    max-width: 960px;
    height: 8em;
    margin: 0px auto;
}

a#toplogo {
    width: 300px;
    height: 100%;
    background-image: url(greenlogo.png);
    background-size: 100%;
    background-position: center;
    background-repeat: no-repeat;
}

a#cwlogo {
    display: none;
    width: 70px;
    height: 100%;
    background-image: url(cwlogo.png);
    background-size: 70px;
    background-position: center;
    background-repeat: no-repeat;
}

a#callnow {
    padding: 10px 20px;
    background-color: #0099ff;
    color: #fff;
}

ul {
    display: flex;
}

header nav ul li {
    margin: 0px 10px;
    font-size: medium;
    letter-spacing: 1px;
}

header nav ul li a {
    color: #ffffff;
    font-weight: 200;
}

nav a:hover {
    border-bottom: 1px solid #E3A32B;
}

.pagelocation {
    border-bottom: 1px solid #E3A32B;
}

#hamburger-hidden {
    display: none;
}

div#hamburger {
    display: none;
}

div#hamburger span {
    display: block;
    width: 30px;
    height: 1px;
    margin: 5px;
    background-color: #fff;
}

header section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 95%;
    max-width: 960px;
    height: 70%;
    margin: 0px auto;
}

h1 {
    width: 350px;
    line-height: 1.25;
    letter-spacing: 1px;
    font-size: 2.5em;
    margin-bottom: 1em;
    color: #fefefe;
}

h2 {
    width: 350px;
    letter-spacing: 1px;
    font-size: 2em;
    margin-bottom: 1em;
    color: #E3A32B;
}

p {
    width: 350px;
    font-size: 1.2em;
    font-weight: 200;
    line-height: 1.5;
    margin-bottom: 2em;
    color: #fefefece;
}

a.btn {
    font-size: large;
    padding: 10px 40px;
    color: #fff;
    border: none;
    text-decoration: none;
    background-color: #0FD929;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
}

a#blackbtn {
    background-color: transparent;
    outline: 1px solid #fefefece;
    margin-right: 1em;
}

/* Main & Section Styles */

main {
    display: flex;
    flex-direction: column;
    width: 95%;
    max-width: 960px;
    margin: 40px auto;
}

section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    width: 100%;
    padding: 40px 0px;
}

.learnmorebtn {
    width: 150px;
    text-align: center;
}

div.aboutimage {
    width: 400px;
    margin: 0px 10px;
}

img#blocklogo {
    width: 100%;
}

div.aboutmessage {
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 20px 10px 0px 10px;
}

section#services {
    flex-direction: column;
    align-items: center;

    padding: 100px 0px;
}

section#services h2 {
    text-align: center;
}

section#services p {
    width: 100%;
    text-align: center;
}

div.cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
}

div.card {
    color: #E3A32B;
    font-size: 1.2em;
}

div.card i {
    font-size: 2em;
    color: #0FD929;
}

section#contact {
    flex-direction: column;
    padding-top: 40px;
}

section#contact p {
    width: 100%;
}

#greentext {
    color: #0FD929;
}

div.contactform {
    color: #fff;
}

input[type=email], select, textarea {
    width: 95%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
  }


input[type=submit] {
    background-color: #0FD929;
    color: white;
    padding: 10px 40px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 1em;
  }
  
input[type=submit]:hover {
    background-color: #45a049;
}

div.phonelocation {
    margin-top: 40px;
    color: #fff;
}

div.phonelocation h3 {
    margin-bottom: 1em;
    font-size: x-large;
}

div.phonelocation a {
    color: #0FD929;
}

/* Footer Styles */

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 80px;
    padding: 40px 0px;
    background-color: #000;
    color: #fff;
}

footer p {
    text-align: center;
    margin-top: 1em;
    margin-bottom: 0em;
}

footer a {
    color: #fff;
}


/* =========================
   Mobile Styles: 0 to 480px 
   =========================
*/

@media only screen and (max-width: 480px) {
       
    a#toplogo {
        display: none;
    }

    a#cwlogo {
        display: block;
    }

    div#hamburger {
        display: block;
        cursor: pointer;
    }

    .slideNav-hidden {
        display: none;
    }

    #hamburger-hidden {
        display: block;
    }

    .displayed {
        display: block;
        position: absolute;
        top: 0px;
        left: 0px;
        background-color: #fff;
        width: 100vw;
        height: 100vh;
        padding: 0px;
    }
    
    header section {
        height: 100%;
        justify-content: start;
    }

    header nav ul li {
        width: 100%;
        margin: 0px;
        padding: 20px;
        font-size: medium;
        letter-spacing: 1px;
        outline: 1px solid #cdcdcd;
    }
    
    header nav ul li a {
        color: #000;
        font-weight: 200;
    }

    h1 {
        font-size: 2em;
    }

    a.btn {
        font-size: small;
    }

    div.aboutimage {
        width: 350px;
        margin-bottom: 2em;
    }

    hr {
        display: none;
    }

    section#services h2 {
        width: 100%;
        text-align: left;
    }

    section#services p {
        width: 100%;
        text-align: left;
    }

    div.cards {
        display: flex;
        flex-wrap: wrap;
        justify-content: start;
        width: 100%;
    }

    .learnmorebtn {
        width: 100px;
        text-align: center;
    }

}

/* ============================================
   Tablet and Desktop Styles: 481px and greater 
   ============================================
*/

@media only screen and (min-width: 481px) {



}